Bug Hunting Session
Bug 112735 - Pivot table: page field displays empty string instead of the "(empty)" string
Summary: Pivot table: page field displays empty string instead of the "(empty)" string
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Tamás Zolnai
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks: Pivot-Table
  Show dependency treegraph
 
Reported: 2017-09-28 21:57 UTC by Tamás Zolnai
Modified: 2017-10-07 13:14 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
A pivot table with a page field fitlered to have only the "(empty)" item selected (13.15 KB, application/vnd.oasis.opendocument.spreadsheet)
2017-09-28 21:58 UTC, Tamás Zolnai
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tamás Zolnai 2017-09-28 21:57:42 UTC
Description:
A pivot table field can have empty fields which are displayes as "(empty)" string on table layout (e.g. row and column fields). However when we add a filtering to a page field which contains only the empty item, then the page field shows only an empty cell, instead of displaying "(empty)" string.

Steps to Reproduce:
1. Open attched test document in Calc
2. Refresh pivot table

Actual Results:  
After refresh page field becomes empty.

Expected Results:
After refressh "(empty)" string should be added to the page field cell.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/61.0.3163.100 Safari/537.36
Comment 1 Tamás Zolnai 2017-09-28 21:58:56 UTC
Created attachment 136598 [details]
A pivot table with a page field fitlered to have only the "(empty)" item selected
Comment 2 Commit Notification 2017-09-30 14:33:32 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8a4df9376bf299beb49fe116882ffdbd10b5e02b

tdf#112735: Pivot table: page field displays empty string

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.